%define module	Cvs
%define name	perl-%{module}
%define version	0.07
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Object oriented interface to the CVS command
License:	LGPL
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/R/RS/RSOLIV/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-Class-Accessor
BuildRequires:	perl-IPC-Run
Buildarch:	noarch

%description
This module is a wrapper around the cvs command with an object oriented
interface.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Sun Dec 19 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.07-1mdk 
- first mdk release
